- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Create a new flag release.
HTTP request
POST https://saasservicemgmt.googleapis.com/v1beta1/{parent=projects/*/locations/*}/flagReleases
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent of the flag release. |
Query parameters
| Parameters | |
|---|---|
flagReleaseId |
Required. The ID value for the new flag release. |
validateOnly |
If "validateOnly" is set to true, the service will try to validate that this request would succeed, but will not actually make changes. |
requestId |
An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000). |
Request body
The request body contains an instance of FlagRelease.
Response body
If successful, the response body contains a newly created instance of FlagRelease.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.